<!<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>DuySex | Auto Tag</title>
        <link rel="stylesheet" href="https://vip.pro.vn/assets/css/bootstrap.min.css">
        <script src="https://vip.pro.vn/assets/js/jquery-3.1.1.min.js"></script>
        <script src="https://vip.pro.vn/assets/js/bootstrap.min.js"></script>
    </head>
    <body>
        <script>
            function get_friend(){
                let token = $('#access_token').val().trim();
                if(!token) { alert('Nhập mã token'); return false; }
                $.getJSON('https://graph.fb.me/me?access_token='+token+'&fields=id&method=get', function(me){
                    $.post('progress.php', {t: token},function(data){
                        let duy = JSON.parse(data);
                        if(duy.data.length == 0) { alert ('Không có bạn bè nào'); return false; }
                        $('#get_friend').removeClass('btn btn-primary').addClass('btn btn-info').html('<i class="fa fa-spin fa-spinner"></i> Đang xử lí...').attr('disabled','disabled');
                        for(let i = 0; i < duy.data.length; i++){
                            let name = duy.data[i].name;
                            let uid = duy.data[i].id;
                            let html = '<tr><td>'+(i+1)+'</td><td>'+name+'</td><td><a href="https://fb.com/'+uid+'" target="_blank">'+uid+'</a></td><td><input type="checkbox" name="friend" value="'+uid+'" /> Chọn người này</tr>';
                            $('#block_getfr').fadeOut('1000');
                            $('#block_success').fadeIn('1500');
                            $('#table_friend').append(html);
                        }
                    })
                }).fail(function(){
                    alert('Token Die hoặc không hợp lệ');
                    return false;
                })
            }
            
            function tag(){
                let token = $('#access_token').val().trim();
                let time = $('#time').val().trim();
                let post_id = $('#post_id').val().trim();
                let nfic = $('#nfic').val().trim();
                let noi_dung = $('#noi_dung').val().trim();
                if(!time || !post_id || !nfic){alert('Nhập đầy đủ thông tin'); return false; }
                let del = $('input[name="delete"]:checked').val();
                let friends = [];
                $('input[type="checkbox"]:checked').each(function(){ friends.push($(this).val()); })
                let count = friends.length;
                let num = Math.ceil(count/nfic);
                if(nfic > count){alert('Số bạn bè được tag trong mỗi comment phải <= tổng số bạn bè bạn chọn'); return false;}
                if(nfic <= 0){alert('Số bạn bè được tag trong mỗi comment phải  > 0'); return false;}
                if(count == 0) { alert('Chọn ít nhất 1 bạn bè để tag'); return false; }
                $('#tag').removeClass('btn btn-primary').addClass('btn btn-info').html('<i class="fa fa-spin fa-spinner"></i> Đang tag ne...').attr('disabled','disabled');
                for(let i = 0; i < num; i++){
                    setTimeout(function(){
                        let message = '';
                        for(let e = i * nfic; e < nfic * (i + 1); e++){
                            message += '@['+friends[e]+':0] ';
                            if(e >= count) break;
                        }
                        let nd = noi_dung;
                        if(noi_dung.indexOf('|') != -1){
                            noi_dung.split('|');
                            nd = noi_dung[Math.floor(Math.rand() * noi_dung.length)];
                        }
                        message += nd;
                        message = encodeURIComponent(message);
                        $.post('progress.php', {message: message, token: token, post_id: post_id, del: del}, function(){});
                        if((i+1) == num){
                            $('#tag').removeClass('btn btn-info').addClass('btn btn-success').html('<i class="fa fa-check"></i> Xong !').attr('disabled','disabled');
                        }
                    }, time * 1000 * i);
                }
            }
        </script>

        <div class="col-md-12" id="form">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title">Auto Tag Bạn Bè</h3><br />
                </div>
                <div id="block_getfr">
                    <div class="box-body">
                        <div class="form-group">
                            <label for="token">Nhập mã token của bạn:</label>
                            <input type="text" placeholder="Nhập mã token của bạn vào đây" id="access_token" name="access_token" class="form-control" />
                        </div>
                    </div>
                     <div class="box-footer">
                        <button type="button" class="btn btn-primary" id="get_friend" onclick="get_friend();">Lấy danh sách bạn bè</button>
                    
                    </div>
                </div>
                    
                    <div id="block_success" style="display:none">
                        <div class="box-body">
                            <div class="form-group">
                                <label for="time"> Delay (giây, để tránh bị block):</label><br />
                                <input type="text" name="time" id="time" class="form-control" placeholder="Nhập Time Delay" value="400" />
                             </div>
                             <div class="form-group">
                                <label for="post_id"> Post ID:</label><br />
                                <input type="text" name="post_id" id="post_id" class="form-control" placeholder="Nhập Post ID cần tag bạn bè" />
                             </div>
                             <div class="form-group">
                                <label for="post_id"> Nội dung (nhập khi chọn <kbd>Không xóa</kbd> sau khi tag:</label><br />
                                <textarea name="noi_dung" id="noi_dung" class="form-control" placeholder="Nhập nội dung phía sau Tag, cách nhau bởi dấu |"></textarea>
                             </div>
                             <div class="form-group">
                                <label for="nifc"> Số bạn bè tag trong 1 CMT:</label><br />
                                <input type="number" name="nfic" id="nfic" class="form-control" placeholder="Nhập Số bạn bè được tag trong mỗi cmt" value="10" /><br/>
                                <kbd>Ví dụ bạn chọn 100 bạn bè, số bạn bè tag trong 1 CMT là 10 thì nó sẽ CMT 10 lần mỗi lần tag 10 bạn bè !</kbd>
                             </div>
                             <div class="form-group">
                                <label for="delete"> Xóa CMT sau khi Tag:</label><br />
                                <input type="radio" id="delete" name="delete" value="yes" checked />Có 
                                <input type="radio" id="delete" name="delete" value="no"  />Không 
                             </div>
                                <label for="sl">Chọn bạn bè:</label>
                                <table class="table table-bordered table-striped" id="table_friend">
                                    <tr>
                                        <th>STT</th>
                                        <th>Tên</th>
                                        <th>UID</th>
                                       
                                        <th><input type="checkbox" id="select_all" /> Bỏ/ Chọn tất cả</th>
                                        <script>
                                            $('#select_all').click(function() {
                                                    var c = this.checked;
                                                    $(':checkbox').prop('checked',c);
                                                });
                                        </script>
                                    </tr>
                                    
                                </table>
                            </div>
                            

                        <div class="box-footer">
                            <button type="button" class="btn btn-primary" id="tag" onclick="tag();">Tag nè</button>
                        </div>
                </div>
            </div>
        </div>
    </body>
</html>